| Irrlicht 3D Engine |

Classes | Namespaces
IGUIEnvironment.h File Reference
`#include "IReferenceCounted.h"`
`#include "IGUISkin.h"`
`#include "rect.h"`
`#include "EMessageBoxFlags.h"`
`#include "IEventReceiver.h"`
`#include "IXMLReader.h"`
`#include "path.h"`

Go to the source code of this file.

## Classes

- class irr::gui::IGUIEnvironment
    GUI Environment. Used as factory and manager of all other GUI elements. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::gui

    The gui namespace contains useful classes for easy creation of a graphical user interface.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.